<template>
  <article class="flex is-direction:column is-spaced:center">
    <div class="content content-heading">
      <base-scroll-animation :type="'fade'" :duration="2000" :once="true">
        <template v-slot:animate>
          <h2 class="title title:main font-black">
            <span class="-ss02">A</span>ccessible, inclusive
            <span class="-ss02">a</span>nd unique
          </h2>
        </template>
      </base-scroll-animation>
    </div>
    <div class="content content-copy">
      <base-scroll-animation
        :type="'fade'"
        :duration="2500"
        :delay="500"
        :once="true"
      >
        <template v-slot:animate>
          <p class="copy copy:main">
            <span class="-ss02">A</span>ustin is const<span class="-ss02"
              >a</span
            >ntly inspired to cre<span class="-ss02">a</span>te
            <span class="-ss02">a</span>ccessible, inclusive,
            <span class="-ss02">a</span>nd unique work.
          </p>
        </template>
      </base-scroll-animation>
    </div>
  </article>
</template>

<script>
export default {
  methods: {
    getImage(path) {
      return require(`@/assets/img/${path}`);
    }
  }
};
</script>

<style lang="scss" scoped>
article {
  padding-top: 6rem;
  padding-left: 0.7rem;
  padding-right: 0.7rem;
  padding-bottom: 6.9rem;
  @media all and (min-width: 660px) {
    padding-top: 8rem;
    padding-left: 4.5rem;
  }
  @media all and (min-width: 1024px) {
    padding-top: 11.25rem;
    padding-left: 10rem;
    padding-bottom: 13rem;
  }

  @media all and (min-width: 1920px) {
    padding-top: 15.044rem;
    padding-bottom: 15.044rem;
    padding-left: 17.375rem;
  }
}
.content {
  &-heading {
    @media all and (min-width: 600px) {
      max-width: 80%;
    }
    @media all and (min-width: 1024px) {
      max-width: 64%;
    }
    @media all and (min-width: 1280px) {
      max-width: 85%;
    }
    @media all and (min-width: 1440px) {
      max-width: 64%;
    }
    @media all and (min-width: 1920px) {
      max-width: 75%;
    }
  }
  &-copy {
    @media all and (min-width: 600px) {
      max-width: 70%;
    }
    @media all and (min-width: 1024px) {
      max-width: 58%;
    }
    @media all and (min-width: 1280px) {
      max-width: 70%;
    }
    @media all and (min-width: 1440px) {
      max-width: 63%;
    }
    @media all and (min-width: 1920px) {
      max-width: 65%;
    }
  }
}

.title\:main {
  // font-size: 2.4rem;
  font-size: 3rem;
  // @media all and (min-width: 660px) {
  //   font-size: 3rem;
  // }
  @media all and (min-width: 1024px) {
    font-size: 2.9rem;
  }
  @media all and (min-width: 1280px) {
    font-size: 5rem;
  }
  @media all and (min-width: 1920px) {
    font-size: 6.7rem;
  }
}
.copy\:main {
  width: 100%;
  font-size: 1.63rem;
  padding-top: 1.8rem;

  @media all and (min-width: 1084px) {
    font-size: 2.65rem;
  }
  @media all and (min-width: 1920px) {
    font-size: 2.95rem;
    padding-right: 11.8rem;
  }
}
</style>
